#include "view.h"

void FrontRoom(vertex,facelist)
Vertex *vertex;
FaceList *facelist;
{
	Face *face;
	Shading *s;

	atPutCoordVertex(vertex,0, 0.0, 0.0,   0.0);
	atPutCoordVertex(vertex,1, 0.0, 0.0,  91.0);
	atPutCoordVertex(vertex,2, 0.0, 64.0, 91.0);
	atPutCoordVertex(vertex,3, 0.0, 64.0, 78.0);
	atPutCoordVertex(vertex,4, 0.0, 64.0,  0.0);
	atPutCoordVertex(vertex,5, 0.0, 94.0, 91.0);
	atPutCoordVertex(vertex,6, 0.0, 94.0, 78.0);
	atPutCoordVertex(vertex,7, 0.0, 94.0,  0.0);
	atPutCoordVertex(vertex,8, 0.0,132.0, 91.0);
	atPutCoordVertex(vertex,9, 0.0,132.0,  0.0);

	atPutCoordVertex(vertex,10,124.0,  0.0, 91.0);
	atPutCoordVertex(vertex,11,124.0,  0.0,  0.0);
	atPutCoordVertex(vertex,12,124.0,132.0,  0.0);
	atPutCoordVertex(vertex,13,124.0,132.0, 91.0);


	atPutCoordVertex(vertex,14, -1.0, 0.0,   0.0);
	atPutCoordVertex(vertex,15, -1.0, 64.0,  0.0);
	atPutCoordVertex(vertex,16, -1.0, 64.0, 91.0);
	atPutCoordVertex(vertex,17, -1.0, 0.0,  91.0);
	atPutCoordVertex(vertex,18, -1.0, 64.0, 78.0);
	atPutCoordVertex(vertex,19, -1.0, 94.0, 78.0);
	atPutCoordVertex(vertex,20, -1.0, 94.0, 91.0);
	atPutCoordVertex(vertex,21, -1.0, 94.0,  0.0);
	atPutCoordVertex(vertex,22, -1.0,132.0, 91.0);
	atPutCoordVertex(vertex,23, -1.0,132.0,  0.0);

	face = newFace(vertex,0);
	addToBackFace(face,4);
	addToBackFace(face,2);
	addToBackFace(face,1);
	s = newShading(1.0,0.75,0.75);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,3);
	addToBackFace(face,6);
	addToBackFace(face,5);
	addToBackFace(face,2);
	s = newShading(1.0,0.75,0.75);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,7);
	addToBackFace(face,9);
	addToBackFace(face,8);
	addToBackFace(face,5);
	s = newShading(1.0,0.75,0.75);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);


	face = newFace(vertex,12);
	addToBackFace(face,13);
	addToBackFace(face,8);
	addToBackFace(face,9);
	s = newShading(1.0,0.75,0.75);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,11);
	addToBackFace(face,10);
	addToBackFace(face,13);
	addToBackFace(face,12);
	s = newShading(1.0,0.75,0.75);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,11);
	addToBackFace(face,0);
	addToBackFace(face,1);
	addToBackFace(face,10);
	s = newShading(1.0,0.75,0.75);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,10);
	addToBackFace(face,1);
	addToBackFace(face,8);
	addToBackFace(face,13);
	s = newShading(1.0,0.75,0.75);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,11);
	addToBackFace(face,12);
	addToBackFace(face,9);
	addToBackFace(face,0);
	s = newShading(0.5,0.3,0.3);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,14);
	addToBackFace(face,17);
	addToBackFace(face,16);
	addToBackFace(face,15);
	s = newShading(1.0,0.75,0.75);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,18);
	addToBackFace(face,16);
	addToBackFace(face,20);
	addToBackFace(face,19);
	s = newShading(1.0,0.75,0.75);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,21);
	addToBackFace(face,20);
	addToBackFace(face,22);
	addToBackFace(face,23);
	s = newShading(1.0,0.75,0.75);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

}

void BookCase(vertex,facelist)
Vertex *vertex;
FaceList *facelist;
{
	Face *face;
	Shading *s;

	atPutCoordVertex(vertex,0,   0.0,    0.0,  0.0);
	atPutCoordVertex(vertex,1,   0.0,  -11.5,  0.0);
	atPutCoordVertex(vertex,2,   0.75, -11.5,  0.0);
	atPutCoordVertex(vertex,3,   0.75,   0.0,  0.0);
	atPutCoordVertex(vertex,4,   0.0,    0.0, 76.5);
	atPutCoordVertex(vertex,5,   0.0,  -11.5, 76.5);
	atPutCoordVertex(vertex,6,   0.75, -11.5, 76.5);
	atPutCoordVertex(vertex,7,   0.75,   0.0, 76.5);

	atPutCoordVertex(vertex,8,  31.0,    0.0,  0.0);
	atPutCoordVertex(vertex,9,  31.0,  -11.5,  0.0);
	atPutCoordVertex(vertex,10, 31.75, -11.5,  0.0);
	atPutCoordVertex(vertex,11, 31.75,   0.0,  0.0);
	atPutCoordVertex(vertex,12, 31.0,    0.0, 76.5);
	atPutCoordVertex(vertex,13, 31.0,  -11.5, 76.5);
	atPutCoordVertex(vertex,14, 31.75, -11.5, 76.5);
	atPutCoordVertex(vertex,15, 31.75,   0.0, 76.5);

	atPutCoordVertex(vertex,16,  0.0,    0.0, 75.75);
	atPutCoordVertex(vertex,17,  0.0,  -11.5, 75.75);
	atPutCoordVertex(vertex,18, 30.5,  -11.5, 75.75);
	atPutCoordVertex(vertex,19, 30.5,    0.0, 75.75);
	atPutCoordVertex(vertex,20,  0.0,    0.0, 76.5);
	atPutCoordVertex(vertex,21,  0.0,  -11.5, 76.5);
	atPutCoordVertex(vertex,22, 30.5,  -11.5, 76.5);
	atPutCoordVertex(vertex,23, 30.5,    0.0, 76.5);

	atPutCoordVertex(vertex,24,  0.0,    0.0, 68.5);
	atPutCoordVertex(vertex,25,  0.0,  -11.5, 68.5);
	atPutCoordVertex(vertex,26, 30.5,  -11.5, 68.5);
	atPutCoordVertex(vertex,27, 30.5,    0.0, 68.5);
	atPutCoordVertex(vertex,28,  0.0,    0.0, 69.25);
	atPutCoordVertex(vertex,29,  0.0,  -11.5, 69.25);
	atPutCoordVertex(vertex,30, 30.5,  -11.5, 69.25);
	atPutCoordVertex(vertex,31, 30.5,    0.0, 69.25);

	atPutCoordVertex(vertex,32,  0.0,    0.0, 57.0);
	atPutCoordVertex(vertex,33,  0.0,  -11.5, 57.0);
	atPutCoordVertex(vertex,34, 30.5,  -11.5, 57.0);
	atPutCoordVertex(vertex,35, 30.5,    0.0, 57.0);
	atPutCoordVertex(vertex,36,  0.0,    0.0, 57.75);
	atPutCoordVertex(vertex,37,  0.0,  -11.5, 57.75);
	atPutCoordVertex(vertex,38, 30.5,  -11.5, 57.75);
	atPutCoordVertex(vertex,39, 30.5,    0.0, 57.75);

	atPutCoordVertex(vertex,40,  0.0,    0.0, 46.0);
	atPutCoordVertex(vertex,41,  0.0,  -11.5, 46.0);
	atPutCoordVertex(vertex,42, 30.5,  -11.5, 46.0);
	atPutCoordVertex(vertex,43, 30.5,    0.0, 46.0);
	atPutCoordVertex(vertex,44,  0.0,    0.0, 46.75);
	atPutCoordVertex(vertex,45,  0.0,  -11.5, 46.75);
	atPutCoordVertex(vertex,46, 30.5,  -11.5, 46.75);
	atPutCoordVertex(vertex,47, 30.5,    0.0, 46.75);

	atPutCoordVertex(vertex,48,  0.0,    0.0, 33.0);
	atPutCoordVertex(vertex,49,  0.0,  -11.5, 33.0);
	atPutCoordVertex(vertex,50, 30.5,  -11.5, 33.0);
	atPutCoordVertex(vertex,51, 30.5,    0.0, 33.0);
	atPutCoordVertex(vertex,52,  0.0,    0.0, 33.75);
	atPutCoordVertex(vertex,53,  0.0,  -11.5, 33.75);
	atPutCoordVertex(vertex,54, 30.5,  -11.5, 33.75);
	atPutCoordVertex(vertex,55, 30.5,    0.0, 33.75);

	atPutCoordVertex(vertex,56,  0.0,    0.0, 19.5);
	atPutCoordVertex(vertex,57,  0.0,  -11.5, 19.5);
	atPutCoordVertex(vertex,58, 30.5,  -11.5, 19.5);
	atPutCoordVertex(vertex,59, 30.5,    0.0, 19.5);
	atPutCoordVertex(vertex,60,  0.0,    0.0, 20.25);
	atPutCoordVertex(vertex,61,  0.0,  -11.5, 20.25);
	atPutCoordVertex(vertex,62, 30.5,  -11.5, 20.25);
	atPutCoordVertex(vertex,63, 30.5,    0.0, 20.25);

	atPutCoordVertex(vertex,64,  0.0,    0.0,  9.0);
	atPutCoordVertex(vertex,65,  0.0,  -11.5,  9.0);
	atPutCoordVertex(vertex,66, 30.5,  -11.5,  9.0);
	atPutCoordVertex(vertex,67, 30.5,    0.0,  9.0);
	atPutCoordVertex(vertex,68,  0.0,    0.0,  9.75);
	atPutCoordVertex(vertex,69,  0.0,  -11.5,  9.75);
	atPutCoordVertex(vertex,70, 30.5,  -11.5,  9.75);
	atPutCoordVertex(vertex,71, 30.5,    0.0,  9.75);

	face = newFace(vertex,0);
	addToBackFace(face,1);
	addToBackFace(face,5);
	addToBackFace(face,4);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,1);
	addToBackFace(face,2);
	addToBackFace(face,6);
	addToBackFace(face,5);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,0);
	addToBackFace(face,3);
	addToBackFace(face,2);
	addToBackFace(face,1);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,0);
	addToBackFace(face,4);
	addToBackFace(face,7);
	addToBackFace(face,3);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,3);
	addToBackFace(face,7);
	addToBackFace(face,6);
	addToBackFace(face,2);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,4);
	addToBackFace(face,5);
	addToBackFace(face,6);
	addToBackFace(face,7);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,8);
	addToBackFace(face,9);
	addToBackFace(face,13);
	addToBackFace(face,12);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,9);
	addToBackFace(face,10);
	addToBackFace(face,14);
	addToBackFace(face,13);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,8);
	addToBackFace(face,11);
	addToBackFace(face,10);
	addToBackFace(face,9);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,8);
	addToBackFace(face,12);
	addToBackFace(face,15);
	addToBackFace(face,11);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,11);
	addToBackFace(face,15);
	addToBackFace(face,14);
	addToBackFace(face,10);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,12);
	addToBackFace(face,13);
	addToBackFace(face,14);
	addToBackFace(face,15);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,16);
	addToBackFace(face,17);
	addToBackFace(face,21);
	addToBackFace(face,20);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,17);
	addToBackFace(face,18);
	addToBackFace(face,22);
	addToBackFace(face,21);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,16);
	addToBackFace(face,19);
	addToBackFace(face,18);
	addToBackFace(face,17);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,16);
	addToBackFace(face,20);
	addToBackFace(face,23);
	addToBackFace(face,19);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,19);
	addToBackFace(face,23);
	addToBackFace(face,22);
	addToBackFace(face,18);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,20);
	addToBackFace(face,21);
	addToBackFace(face,22);
	addToBackFace(face,23);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);




	face = newFace(vertex,24);
	addToBackFace(face,25);
	addToBackFace(face,29);
	addToBackFace(face,28);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,25);
	addToBackFace(face,26);
	addToBackFace(face,30);
	addToBackFace(face,29);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,24);
	addToBackFace(face,27);
	addToBackFace(face,26);
	addToBackFace(face,25);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,24);
	addToBackFace(face,28);
	addToBackFace(face,31);
	addToBackFace(face,27);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,27);
	addToBackFace(face,31);
	addToBackFace(face,30);
	addToBackFace(face,26);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,28);
	addToBackFace(face,29);
	addToBackFace(face,30);
	addToBackFace(face,31);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);


	face = newFace(vertex,32);
	addToBackFace(face,33);
	addToBackFace(face,37);
	addToBackFace(face,36);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,33);
	addToBackFace(face,34);
	addToBackFace(face,38);
	addToBackFace(face,37);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,32);
	addToBackFace(face,35);
	addToBackFace(face,34);
	addToBackFace(face,33);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,32);
	addToBackFace(face,36);
	addToBackFace(face,39);
	addToBackFace(face,35);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,35);
	addToBackFace(face,39);
	addToBackFace(face,38);
	addToBackFace(face,34);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,36);
	addToBackFace(face,37);
	addToBackFace(face,38);
	addToBackFace(face,39);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);


	face = newFace(vertex,40);
	addToBackFace(face,41);
	addToBackFace(face,45);
	addToBackFace(face,44);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,41);
	addToBackFace(face,42);
	addToBackFace(face,46);
	addToBackFace(face,45);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,40);
	addToBackFace(face,43);
	addToBackFace(face,42);
	addToBackFace(face,41);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,40);
	addToBackFace(face,44);
	addToBackFace(face,47);
	addToBackFace(face,43);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,43);
	addToBackFace(face,47);
	addToBackFace(face,46);
	addToBackFace(face,42);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,44);
	addToBackFace(face,45);
	addToBackFace(face,46);
	addToBackFace(face,47);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);



	face = newFace(vertex,48);
	addToBackFace(face,49);
	addToBackFace(face,53);
	addToBackFace(face,52);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,49);
	addToBackFace(face,50);
	addToBackFace(face,54);
	addToBackFace(face,53);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,48);
	addToBackFace(face,51);
	addToBackFace(face,50);
	addToBackFace(face,49);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,48);
	addToBackFace(face,52);
	addToBackFace(face,55);
	addToBackFace(face,51);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,51);
	addToBackFace(face,55);
	addToBackFace(face,54);
	addToBackFace(face,50);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,52);
	addToBackFace(face,53);
	addToBackFace(face,54);
	addToBackFace(face,55);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);


	face = newFace(vertex,56);
	addToBackFace(face,57);
	addToBackFace(face,61);
	addToBackFace(face,60);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,57);
	addToBackFace(face,58);
	addToBackFace(face,62);
	addToBackFace(face,61);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,56);
	addToBackFace(face,59);
	addToBackFace(face,58);
	addToBackFace(face,57);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,56);
	addToBackFace(face,60);
	addToBackFace(face,63);
	addToBackFace(face,59);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,59);
	addToBackFace(face,63);
	addToBackFace(face,62);
	addToBackFace(face,58);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,60);
	addToBackFace(face,61);
	addToBackFace(face,62);
	addToBackFace(face,63);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);




	face = newFace(vertex,64);
	addToBackFace(face,65);
	addToBackFace(face,69);
	addToBackFace(face,68);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,65);
	addToBackFace(face,66);
	addToBackFace(face,70);
	addToBackFace(face,69);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,64);
	addToBackFace(face,67);
	addToBackFace(face,66);
	addToBackFace(face,65);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,64);
	addToBackFace(face,68);
	addToBackFace(face,71);
	addToBackFace(face,67);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,67);
	addToBackFace(face,71);
	addToBackFace(face,70);
	addToBackFace(face,66);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,68);
	addToBackFace(face,69);
	addToBackFace(face,70);
	addToBackFace(face,71);
	s = newShading(1.0,0.5,0.5);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

}


void Windows(vertex,facelist)
Vertex *vertex;
FaceList *facelist;
{
	Face *face;
	Shading *s;

	atPutCoordVertex(vertex,0,  123.0,  105.0,  36.0);
	atPutCoordVertex(vertex,1,  123.0,   87.0,  36.0);
	atPutCoordVertex(vertex,2,  123.0,   87.0,  63.0);
	atPutCoordVertex(vertex,3,  123.0,  105.0,  63.0);
	atPutCoordVertex(vertex,4,  123.0,  105.0,  68.0);
	atPutCoordVertex(vertex,5,  123.0,   87.0,  68.0);
	atPutCoordVertex(vertex,6,  123.0,   87.0,  75.0);
	atPutCoordVertex(vertex,7,  123.0,  105.0,  75.0);
	atPutCoordVertex(vertex,8,  123.0,   83.5,  36.0);
	atPutCoordVertex(vertex,9,  123.0,   41.5,  36.0);
	atPutCoordVertex(vertex,10, 123.0,   41.5,  78.0);
	atPutCoordVertex(vertex,11, 123.0,   83.5,  78.0);
	atPutCoordVertex(vertex,12, 123.0,   38.0,  36.0);
	atPutCoordVertex(vertex,13, 123.0,   20.0,  36.0);
	atPutCoordVertex(vertex,14, 123.0,   20.0,  63.0);
	atPutCoordVertex(vertex,15, 123.0,   38.0,  63.0);
	atPutCoordVertex(vertex,16, 123.0,   38.0,  68.0);
	atPutCoordVertex(vertex,17, 123.0,   20.0,  68.0);
	atPutCoordVertex(vertex,18, 123.0,   20.0,  75.0);
	atPutCoordVertex(vertex,19, 123.0,   38.0,  75.0);

	face = newFace(vertex,0);
	addToBackFace(face,1);
	addToBackFace(face,2);
	addToBackFace(face,3);
	s = newShading(1.0,1.0,1.0);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,4);
	addToBackFace(face,5);
	addToBackFace(face,6);
	addToBackFace(face,7);
	s = newShading(1.0,1.0,1.0);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,8);
	addToBackFace(face,9);
	addToBackFace(face,10);
	addToBackFace(face,11);
	s = newShading(1.0,1.0,1.0);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,12);
	addToBackFace(face,13);
	addToBackFace(face,14);
	addToBackFace(face,15);
	s = newShading(1.0,1.0,1.0);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,16);
	addToBackFace(face,17);
	addToBackFace(face,18);
	addToBackFace(face,19);
	s = newShading(1.0,1.0,1.0);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

}

void Desk(vertex,facelist)
Vertex *vertex;
FaceList *facelist;
{
	Face *face;
	Shading *s;

	atPutCoordVertex(vertex,0,    0.0,    0.0,   0.0);
	atPutCoordVertex(vertex,1,    0.0,    0.0,  -0.75);
	atPutCoordVertex(vertex,2,    0.0,   27.0,   0.0);
	atPutCoordVertex(vertex,3,   48.0,   27.0,   0.0);
	atPutCoordVertex(vertex,4,   48.0,    0.0,   0.0);
	atPutCoordVertex(vertex,5,   48.0,    0.0,  -0.75);
	atPutCoordVertex(vertex,6,   48.0,   27.0,  -0.75);
	atPutCoordVertex(vertex,7,    0.0,   27.0,  -0.75);

	atPutCoordVertex(vertex,8,    2.0,   26.5,  -0.75);
	atPutCoordVertex(vertex,9,    2.0,    1.5,  -0.75);
	atPutCoordVertex(vertex,10,  15.5,    1.5,  -0.75);
	atPutCoordVertex(vertex,11,  15.5,   26.5,  -0.75);
	atPutCoordVertex(vertex,12,   2.0,   26.5, -20.75);
	atPutCoordVertex(vertex,13,   2.0,    1.5, -20.75);
	atPutCoordVertex(vertex,14,  15.5,    1.5, -20.75);
	atPutCoordVertex(vertex,15,  15.5,   26.5, -20.75);

	atPutCoordVertex(vertex,16,   2.0,   25.5,  -0.75);
	atPutCoordVertex(vertex,17,   2.0,   24.5,  -0.75);
	atPutCoordVertex(vertex,18,   1.0,   24.5,  -0.75);
	atPutCoordVertex(vertex,19,   1.0,   25.5,  -0.75);
	atPutCoordVertex(vertex,20,   2.0,   25.5,  -29.0);
	atPutCoordVertex(vertex,21,   2.0,   24.5,  -29.0);
	atPutCoordVertex(vertex,22,   1.0,   24.5,  -29.0);
	atPutCoordVertex(vertex,23,   1.0,   25.5,  -29.0);

	atPutCoordVertex(vertex,24,  45.5,   25.5,  -0.75);
	atPutCoordVertex(vertex,25,  45.5,   24.5,  -0.75);
	atPutCoordVertex(vertex,26,  46.5,   24.5,  -0.75);
	atPutCoordVertex(vertex,27,  46.5,   25.5,  -0.75);
	atPutCoordVertex(vertex,28,  45.5,   25.5,  -29.0);
	atPutCoordVertex(vertex,29,  45.5,   24.5,  -29.0);
	atPutCoordVertex(vertex,30,  46.5,   24.5,  -29.0);
	atPutCoordVertex(vertex,31,  46.5,   25.5,  -29.0);

	atPutCoordVertex(vertex,32,  45.5,    2.5,  -0.75);
	atPutCoordVertex(vertex,33,  45.5,    1.5,  -0.75);
	atPutCoordVertex(vertex,34,  46.5,    1.5,  -0.75);
	atPutCoordVertex(vertex,35,  46.5,    2.5,  -0.75);
	atPutCoordVertex(vertex,36,  45.5,    2.5,  -29.0);
	atPutCoordVertex(vertex,37,  45.5,    1.5,  -29.0);
	atPutCoordVertex(vertex,38,  46.5,    1.5,  -29.0);
	atPutCoordVertex(vertex,39,  46.5,    2.5,  -29.0);

	atPutCoordVertex(vertex,40,   2.0,    2.5,  -0.75);
	atPutCoordVertex(vertex,41,   2.0,    1.5,  -0.75);
	atPutCoordVertex(vertex,42,   1.0,    1.5,  -0.75);
	atPutCoordVertex(vertex,43,   1.0,    2.5,  -0.75);
	atPutCoordVertex(vertex,44,   2.0,    2.5,  -29.0);
	atPutCoordVertex(vertex,45,   2.0,    1.5,  -29.0);
	atPutCoordVertex(vertex,46,   1.0,    1.5,  -29.0);
	atPutCoordVertex(vertex,47,   1.0,    2.5,  -29.0);

	/*desk top*/

	face = newFace(vertex,0);
	addToBackFace(face,4);
	addToBackFace(face,3);
	addToBackFace(face,2);
	s = newShading(0.9,0.4,0.4);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);


	face = newFace(vertex,1);
	addToBackFace(face,7);
	addToBackFace(face,6);
	addToBackFace(face,5);
	s = newShading(0.9,0.4,0.4);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,3);
	addToBackFace(face,6);
	addToBackFace(face,7);
	addToBackFace(face,2);
	s = newShading(0.9,0.4,0.4);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,4);
	addToBackFace(face,0);
	addToBackFace(face,1);
	addToBackFace(face,5);
	s = newShading(0.9,0.4,0.4);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,0);
	addToBackFace(face,2);
	addToBackFace(face,7);
	addToBackFace(face,1);
	s = newShading(0.9,0.4,0.4);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,5);
	addToBackFace(face,6);
	addToBackFace(face,3);
	addToBackFace(face,4);
	s = newShading(0.9,0.4,0.4);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	/*drawers*/
	face = newFace(vertex,10);
	addToBackFace(face,11);
	addToBackFace(face,8);
	addToBackFace(face,9);
	s = newShading(0.9,0.4,0.4);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,15);
	addToBackFace(face,14);
	addToBackFace(face,13);
	addToBackFace(face,12);
	s = newShading(0.9,0.4,0.4);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,8);
	addToBackFace(face,12);
	addToBackFace(face,13);
	addToBackFace(face,9);
	s = newShading(0.9,0.4,0.4);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,14);
	addToBackFace(face,15);
	addToBackFace(face,11);
	addToBackFace(face,10);
	s = newShading(0.9,0.4,0.4);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,15);
	addToBackFace(face,12);
	addToBackFace(face,8);
	addToBackFace(face,11);
	s = newShading(0.9,0.4,0.4);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,10);
	addToBackFace(face,9);
	addToBackFace(face,13);
	addToBackFace(face,14);
	s = newShading(0.9,0.4,0.4);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	/*leg 1*/
	face = newFace(vertex,19);
	addToBackFace(face,18);
	addToBackFace(face,17);
	addToBackFace(face,16);
	s = newShading(0.1,0.1,0.1);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,20);
	addToBackFace(face,21);
	addToBackFace(face,22);
	addToBackFace(face,23);
	s = newShading(0.1,0.1,0.1);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,18);
	addToBackFace(face,19);
	addToBackFace(face,23);
	addToBackFace(face,22);
	s = newShading(0.1,0.1,0.1);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,16);
	addToBackFace(face,17);
	addToBackFace(face,21);
	addToBackFace(face,20);
	s = newShading(0.1,0.1,0.1);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,20);
	addToBackFace(face,23);
	addToBackFace(face,19);
	addToBackFace(face,16);
	s = newShading(0.1,0.1,0.1);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,17);
	addToBackFace(face,18);
	addToBackFace(face,22);
	addToBackFace(face,21);
	s = newShading(0.1,0.1,0.1);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	/*leg 2*/
	face = newFace(vertex,24);
	addToBackFace(face,25);
	addToBackFace(face,26);
	addToBackFace(face,27);
	s = newShading(0.1,0.1,0.1);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,31);
	addToBackFace(face,30);
	addToBackFace(face,29);
	addToBackFace(face,28);
	s = newShading(0.1,0.1,0.1);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,24);
	addToBackFace(face,27);
	addToBackFace(face,31);
	addToBackFace(face,28);
	s = newShading(0.1,0.1,0.1);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,26);
	addToBackFace(face,25);
	addToBackFace(face,29);
	addToBackFace(face,30);
	s = newShading(0.1,0.1,0.1);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,27);
	addToBackFace(face,26);
	addToBackFace(face,30);
	addToBackFace(face,31);
	s = newShading(0.1,0.1,0.1);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);


	face = newFace(vertex,25);
	addToBackFace(face,24);
	addToBackFace(face,28);
	addToBackFace(face,29);
	s = newShading(0.1,0.1,0.1);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	/*leg 3*/
	face = newFace(vertex,32);
	addToBackFace(face,33);
	addToBackFace(face,34);
	addToBackFace(face,35);
	s = newShading(0.1,0.1,0.1);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,39);
	addToBackFace(face,38);
	addToBackFace(face,37);
	addToBackFace(face,36);
	s = newShading(0.1,0.1,0.1);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,33);
	addToBackFace(face,32);
	addToBackFace(face,36);
	addToBackFace(face,37);
	s = newShading(0.1,0.1,0.1);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,35);
	addToBackFace(face,34);
	addToBackFace(face,38);
	addToBackFace(face,39);
	s = newShading(0.1,0.1,0.1);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,32);
	addToBackFace(face,35);
	addToBackFace(face,39);
	addToBackFace(face,36);
	s = newShading(0.1,0.1,0.1);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,34);
	addToBackFace(face,33);
	addToBackFace(face,37);
	addToBackFace(face,38);
	s = newShading(0.1,0.1,0.1);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	/*leg 4*/
	face = newFace(vertex,43);
	addToBackFace(face,42);
	addToBackFace(face,41);
	addToBackFace(face,40);
	s = newShading(0.1,0.1,0.1);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,44);
	addToBackFace(face,45);
	addToBackFace(face,46);
	addToBackFace(face,47);
	s = newShading(0.1,0.1,0.1);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,42);
	addToBackFace(face,43);
	addToBackFace(face,47);
	addToBackFace(face,46);
	s = newShading(0.1,0.1,0.1);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,40);
	addToBackFace(face,41);
	addToBackFace(face,45);
	addToBackFace(face,44);
	s = newShading(0.1,0.1,0.1);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,43);
	addToBackFace(face,40);
	addToBackFace(face,44);
	addToBackFace(face,47);
	s = newShading(0.1,0.1,0.1);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,41);
	addToBackFace(face,42);
	addToBackFace(face,46);
	addToBackFace(face,45);
	s = newShading(0.1,0.1,0.1);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

}

void QiskDisk(vertex,facelist)
Vertex *vertex;
FaceList *facelist;
{
	Face *face;
	Shading *s;

	atPutCoordVertex(vertex,0, 0.0, 0.0,   0.0);
	atPutCoordVertex(vertex,1, 0.0, 0.0,   2.5);
	atPutCoordVertex(vertex,2, 0.0, 10.0,  2.5);
	atPutCoordVertex(vertex,3, 0.0, 10.0,  0.0);
	atPutCoordVertex(vertex,4,10.0, 10.0,  0.0);
	atPutCoordVertex(vertex,5,10.0,  0.0,  0.0);
	atPutCoordVertex(vertex,6,10.0,  0.0,  2.5);
	atPutCoordVertex(vertex,7,10.0, 10.0,  2.5);

	face = newFace(vertex,0);
	addToBackFace(face,1);
	addToBackFace(face,2);
	addToBackFace(face,3);
	s = newShading(1.0,0.85,0.7);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,7);
	addToBackFace(face,6);
	addToBackFace(face,5);
	addToBackFace(face,4);
	s = newShading(1.0,0.85,0.7);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,4);
	addToBackFace(face,5);
	addToBackFace(face,0);
	addToBackFace(face,3);
	s = newShading(1.0,0.85,0.7);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,1);
	addToBackFace(face,6);
	addToBackFace(face,7);
	addToBackFace(face,2);
	s = newShading(1.0,0.85,0.7);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,6);
	addToBackFace(face,1);
	addToBackFace(face,0);
	addToBackFace(face,5);
	s = newShading(1.0,0.85,0.7);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,4);
	addToBackFace(face,3);
	addToBackFace(face,2);
	addToBackFace(face,7);
	s = newShading(1.0,0.85,0.7);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

}


void MacPlus(vertex,facelist)
Vertex *vertex;
FaceList *facelist;
{
	Face *face;
	Shading *s;

	atPutCoordVertex(vertex,0, 0.0, 0.0,   0.0 );
	atPutCoordVertex(vertex,1, 0.0, 0.0,   1.75);
	atPutCoordVertex(vertex,2, 0.0,  9.5,  1.75);
	atPutCoordVertex(vertex,3, 0.0,  9.5,  0.0 );
	atPutCoordVertex(vertex,4, 9.5,  9.5,  0.0 );
	atPutCoordVertex(vertex,5, 9.5,  0.0,  0.0 );
	atPutCoordVertex(vertex,6, 9.5,  0.0,  1.75);
	atPutCoordVertex(vertex,7, 9.5,  9.5,  1.75);

	atPutCoordVertex(vertex,8,    0.0,    0.0,   1.75);
	atPutCoordVertex(vertex,9,    0.0,    0.0,  10.5 );
	atPutCoordVertex(vertex,10,   0.0,    1.5,  12.5 );
	atPutCoordVertex(vertex,11,   0.0,   10.5,  12.5 );
	atPutCoordVertex(vertex,12,   0.0,   10.75,  1.75);
	atPutCoordVertex(vertex,13,   9.75,   0.0,   1.75);
	atPutCoordVertex(vertex,14,   9.75,  10.75,  1.75);
	atPutCoordVertex(vertex,15,   9.75,  10.5  ,12.5 );
	atPutCoordVertex(vertex,16,   9.75,   1.5,  12.5 );
	atPutCoordVertex(vertex,17,   9.75,   0.0,  10.5 );

	atPutCoordVertex(vertex,18,   8.75,  10.60,   9.5 );
	atPutCoordVertex(vertex,19,   1.0 ,  10.60,   9.5 );
	atPutCoordVertex(vertex,20,   8.75,  10.76,   3.5 );
	atPutCoordVertex(vertex,21,   1.0 ,  10.76,   3.5 );


	/*base*/
	face = newFace(vertex,0);
	addToBackFace(face,1);
	addToBackFace(face,2);
	addToBackFace(face,3);
	s = newShading(0.8,0.7,0.6);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,2);
	addToBackFace(face,7);
	addToBackFace(face,4);
	addToBackFace(face,3);
	s = newShading(0.8,0.7,0.6);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,7);
	addToBackFace(face,6);
	addToBackFace(face,5);
	addToBackFace(face,4);
	s = newShading(0.8,0.7,0.6);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,6);
	addToBackFace(face,1);
	addToBackFace(face,0);
	addToBackFace(face,5);
	s = newShading(0.8,0.7,0.6);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,1);
	addToBackFace(face,6);
	addToBackFace(face,7);
	addToBackFace(face,2);
	s = newShading(0.8,0.7,0.6);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,0);
	addToBackFace(face,3);
	addToBackFace(face,4);
	addToBackFace(face,5);
	s = newShading(0.8,0.7,0.6);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	/*right and left*/
	face = newFace(vertex,8);
	addToBackFace(face,9);
	addToBackFace(face,10);
	addToBackFace(face,11);
	addToBackFace(face,12);
	s = newShading(0.8,0.7,0.6);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,13);
	addToBackFace(face,14);
	addToBackFace(face,15);
	addToBackFace(face,16);
	addToBackFace(face,17);
	s = newShading(0.8,0.7,0.6);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	/*back and front*/
	face = newFace(vertex,8);
	addToBackFace(face,13);
	addToBackFace(face,17);
	addToBackFace(face,9);
	s = newShading(0.8,0.7,0.6);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);


	face = newFace(vertex,11);
	addToBackFace(face,15);
	addToBackFace(face,14);
	addToBackFace(face,12);
	s = newShading(0.8,0.7,0.6);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	/*bottom and top and slanted bit*/
	face = newFace(vertex,8);
	addToBackFace(face,12);
	addToBackFace(face,14);
	addToBackFace(face,13);
	s = newShading(0.8,0.7,0.6);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,10);
	addToBackFace(face,16);
	addToBackFace(face,15);
	addToBackFace(face,11);
	s = newShading(0.8,0.7,0.6);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,9);
	addToBackFace(face,17);
	addToBackFace(face,16);
	addToBackFace(face,10);
	s = newShading(0.8,0.7,0.6);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	/*screen*/

	face = newFace(vertex,18);
	addToBackFace(face,20);
	addToBackFace(face,21);
	addToBackFace(face,19);
	s = newShading(0.0,0.0,0.0);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

}

void Book(vertex,facelist)
Vertex *vertex;
FaceList *facelist;
{
	Face *face;
	Shading *s;

	atPutCoordVertex(vertex,0, 0.0,  0.0,  0.0);
	atPutCoordVertex(vertex,1, 0.0,  0.0,  9.5);
	atPutCoordVertex(vertex,2, 1.75, 0.0,  9.5);
	atPutCoordVertex(vertex,3, 1.75, 0.0,  0.0);
	atPutCoordVertex(vertex,4, 1.75, 7.5,  0.0);
	atPutCoordVertex(vertex,5, 1.75, 7.5,  9.5);
	atPutCoordVertex(vertex,6, 0.0,  7.5,  9.5);
	atPutCoordVertex(vertex,7, 0.0,  7.5,  0.0);

	face = newFace(vertex,0);
	addToBackFace(face,3);
	addToBackFace(face,2);
	addToBackFace(face,1);
	s = newShading(1.0,1.0,0.0);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,7);
	addToBackFace(face,6);
	addToBackFace(face,5);
	addToBackFace(face,4);
	s = newShading(0.9,0.9,0.9);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,4);
	addToBackFace(face,5);
	addToBackFace(face,2);
	addToBackFace(face,3);
	s = newShading(1.0,1.0,0.0);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,0);
	addToBackFace(face,1);
	addToBackFace(face,6);
	addToBackFace(face,7);
	s = newShading(1.0,1.0,0.0);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,5);
	addToBackFace(face,6);
	addToBackFace(face,1);
	addToBackFace(face,2);
	s = newShading(0.9,0.9,0.9);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

	face = newFace(vertex,3);
	addToBackFace(face,0);
	addToBackFace(face,7);
	addToBackFace(face,4);
	s = newShading(0.9,0.9,0.9);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);

}

